## GtkRecentChooserMenu GtkRecentChooserMenu — Displays recently used files in a menu |

## Functions

GtkWidget * | gtk_recent_chooser_menu_new ()
GtkWidget * | gtk_recent_chooser_menu_new_for_manager ()
gboolean | gtk_recent_chooser_menu_get_show_numbers ()
void | gtk_recent_chooser_menu_set_show_numbers ()

## Properties

gboolean | show-numbers | Read / Write

## Types and Values

struct | GtkRecentChooserMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── GtkRecentChooserMenu

## Implemented Interfaces

GtkRecentChooserMenu implements AtkImplementorIface, GtkBuildable, GtkRecentChooser and GtkActivatable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkRecentChooserMenu is a widget suitable for displaying recently used files inside a menu. It can be used to set a sub-menu of a GtkMenuItem using `gtk_menu_item_set_submenu()`, or as the menu of a GtkMenuToolButton.

Note that GtkRecentChooserMenu does not have any methods of its own. Instead, you should use the functions that work on a GtkRecentChooser.

Note also that GtkRecentChooserMenu does not support multiple filters, as it has no way to let the user choose between them as the GtkRecentChooserWidget and GtkRecentChooserDialog widgets do. Thus using `gtk_recent_chooser_add_filter()` on a GtkRecentChooserMenu widget will yield the same effects as using `gtk_recent_chooser_set_filter()`, replacing any currently set filter with the supplied filter; `gtk_recent_chooser_remove_filter()` will remove any currently set GtkRecentFilter object and will unset the current filter; `gtk_recent_chooser_list_filters()` will return a list containing a single GtkRecentFilter object.

Recently used files are supported since GTK+ 2.10.

## Functions

### gtk_recent_chooser_menu_new ()

    GtkWidget *
    gtk_recent_chooser_menu_new (void);

Creates a new GtkRecentChooserMenu widget.

This kind of widget shows the list of recently used resources as a menu, each item as a menu item. Each item inside the menu might have an icon, representing its MIME type, and a number, for mnemonic access.

This widget implements the GtkRecentChooser interface.

This widget creates its own GtkRecentManager object. See the `gtk_recent_chooser_menu_new_for_manager()` function to know how to create a GtkRecentChooserMenu widget bound to another GtkRecentManager object.

#### Returns

a new GtkRecentChooserMenu

Since: 2.10

### gtk_recent_chooser_menu_new_for_manager ()

    GtkWidget *
    gtk_recent_chooser_menu_new_for_manager
                                   (GtkRecentManager *manager);

Creates a new GtkRecentChooserMenu widget using `manager` as the underlying recently used resources manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a GtkRecentManager object or if you wish to share a common GtkRecentManager object among multiple GtkRecentChooser widgets.

#### Parameters

manager | a GtkRecentManager |

#### Returns

a new GtkRecentChooserMenu, bound to `manager` .

Since: 2.10

### gtk_recent_chooser_menu_get_show_numbers ()

    gboolean
    gtk_recent_chooser_menu_get_show_numbers
                                   (GtkRecentChooserMenu *menu);

Returns the value set by `gtk_recent_chooser_menu_set_show_numbers()`.

#### Parameters

menu | a GtkRecentChooserMenu |

#### Returns

`TRUE` if numbers should be shown.

Since: 2.10

### gtk_recent_chooser_menu_set_show_numbers ()

    void
    gtk_recent_chooser_menu_set_show_numbers
                                   (GtkRecentChooserMenu *menu,
                                    gboolean show_numbers);

Sets whether a number should be added to the items of `menu` . The numbers are shown to provide a unique character for a mnemonic to be used inside ten menu item’s label. Only the first the items get a number to avoid clashes.

#### Parameters

menu | a GtkRecentChooserMenu |
show_numbers | whether to show numbers |

Since: 2.10

## Types and Values

### struct GtkRecentChooserMenu

    struct GtkRecentChooserMenu;

## Property Details

### The `“show-numbers”` property

      “show-numbers”             gboolean

Whether the first ten items in the menu should be prepended by a number acting as a unique mnemonic.

Owner: GtkRecentChooserMenu

Flags: Read / Write

Default value: FALSE

Since: 2.10

## See Also

GtkRecentChooser